<script lang="ts">
  import { toggler } from '@common/hooks/toggler.js';
  import { SVGs } from '~/lib/svgs/SVGs.js';
  import LoginPanel from './components/LoginPanel.svelte';

  const { toggle, getState } = toggler(false);

  let tog: boolean;
  const onClick = () => {
    tog = toggle();
  };
</script>

<button on:click={onClick}>
  <img
    src={SVGs.account}
    width="40" /></button>
<LoginPanel toggle={tog} />
